Package org.apache.commons.fileupload2.javax

# Class JavaxProgressListenerDiskTest

java.lang.Object
org.apache.commons.fileupload2.core.AbstractTest<org.apache.commons.fileupload2.javax.JavaxServletDiskFileUpload,javax.servlet.http.HttpServletRequest,DiskFileItem,DiskFileItemFactory>
org.apache.commons.fileupload2.core.AbstractProgressListenerTest<org.apache.commons.fileupload2.javax.JavaxServletDiskFileUpload,javax.servlet.http.HttpServletRequest,DiskFileItem,DiskFileItemFactory>
org.apache.commons.fileupload2.javax.JavaxProgressListenerDiskTest

public class JavaxProgressListenerDiskTest extends AbstractProgressListenerTest<org.apache.commons.fileupload2.javax.JavaxServletDiskFileUpload,javax.servlet.http.HttpServletRequest,DiskFileItem,DiskFileItemFactory>
Tests the `ProgressListener`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.fileupload2.core.AbstractProgressListenerTest

  `AbstractProgressListenerTest.ProgressListenerImpl`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaxProgressListenerDiskTest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.apache.commons.fileupload2.javax.JavaxServletDiskFileUpload`
  `newFileUpload()`
  `protected javax.servlet.http.HttpServletRequest`
  `newMockHttpServletRequest(InputStream request, long requestLength, String contentType, int readLimit)`

  ### Methods inherited from class org.apache.commons.fileupload2.core.AbstractProgressListenerTest

  `runTest, testProgressListener`

  ### Methods inherited from class org.apache.commons.fileupload2.core.AbstractTest

  `newMockHttpServletRequest, newMockHttpServletRequest`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaxProgressListenerDiskTest

    public JavaxProgressListenerDiskTest()

- ## Method Details

  - ### newFileUpload

    protected org.apache.commons.fileupload2.javax.JavaxServletDiskFileUpload newFileUpload()
    Specified by:
      `newFileUpload` in class `AbstractTest<org.apache.commons.fileupload2.javax.JavaxServletDiskFileUpload,javax.servlet.http.HttpServletRequest,DiskFileItem,DiskFileItemFactory>`

  - ### newMockHttpServletRequest

    protected javax.servlet.http.HttpServletRequest newMockHttpServletRequest(InputStream request, long requestLength, String contentType, int readLimit)
    Specified by:
      `newMockHttpServletRequest` in class `AbstractTest<org.apache.commons.fileupload2.javax.JavaxServletDiskFileUpload,javax.servlet.http.HttpServletRequest,DiskFileItem,DiskFileItemFactory>`